VAT Invoices
Update Vat Invoice
Update a VAT invoice; replaces line items when lineItems is provided.
PATCH
/
api
/
v1
/
vat-invoices
/
{vat_invoice_id}
Update Vat Invoice
curl --request PATCH \
--url https://vinmake-erp.onrender.com/api/v1/vat-invoices/{vat_invoice_id} \
--header 'Content-Type: application/json' \
--data '
{
"direction": "<string>",
"formNo": "<string>",
"serial": "<string>",
"invoiceNumber": "<string>",
"taxAuthorityCode": "<string>",
"issueDate": "<string>",
"sellerName": "<string>",
"sellerTaxCode": "<string>",
"buyerName": "<string>",
"buyerTaxCode": "<string>",
"clientId": "<string>",
"supplierId": "<string>",
"invoiceId": "<string>",
"billId": "<string>",
"currency": "<string>",
"exchangeRate": 123,
"subtotal": 123,
"vatRate": 123,
"vatAmount": 123,
"totalAmount": 123,
"adjustmentType": "<string>",
"replacesVatInvoiceId": "<string>",
"status": "<string>",
"notes": "<string>",
"lineItems": [
{
"lineNo": 123,
"description": "<string>",
"qty": 123,
"uom": "<string>",
"unitPrice": 123,
"lineSubtotal": 123,
"vatRate": 123,
"vatAmount": 123,
"lineTotal": 123
}
]
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/vat-invoices/{vat_invoice_id}"
payload = {
"direction": "<string>",
"formNo": "<string>",
"serial": "<string>",
"invoiceNumber": "<string>",
"taxAuthorityCode": "<string>",
"issueDate": "<string>",
"sellerName": "<string>",
"sellerTaxCode": "<string>",
"buyerName": "<string>",
"buyerTaxCode": "<string>",
"clientId": "<string>",
"supplierId": "<string>",
"invoiceId": "<string>",
"billId": "<string>",
"currency": "<string>",
"exchangeRate": 123,
"subtotal": 123,
"vatRate": 123,
"vatAmount": 123,
"totalAmount": 123,
"adjustmentType": "<string>",
"replacesVatInvoiceId": "<string>",
"status": "<string>",
"notes": "<string>",
"lineItems": [
{
"lineNo": 123,
"description": "<string>",
"qty": 123,
"uom": "<string>",
"unitPrice": 123,
"lineSubtotal": 123,
"vatRate": 123,
"vatAmount": 123,
"lineTotal": 123
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
direction: '<string>',
formNo: '<string>',
serial: '<string>',
invoiceNumber: '<string>',
taxAuthorityCode: '<string>',
issueDate: '<string>',
sellerName: '<string>',
sellerTaxCode: '<string>',
buyerName: '<string>',
buyerTaxCode: '<string>',
clientId: '<string>',
supplierId: '<string>',
invoiceId: '<string>',
billId: '<string>',
currency: '<string>',
exchangeRate: 123,
subtotal: 123,
vatRate: 123,
vatAmount: 123,
totalAmount: 123,
adjustmentType: '<string>',
replacesVatInvoiceId: '<string>',
status: '<string>',
notes: '<string>',
lineItems: [
{
lineNo: 123,
description: '<string>',
qty: 123,
uom: '<string>',
unitPrice: 123,
lineSubtotal: 123,
vatRate: 123,
vatAmount: 123,
lineTotal: 123
}
]
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/vat-invoices/{vat_invoice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"direction": "<string>",
"formNo": "<string>",
"serial": "<string>",
"invoiceNumber": "<string>",
"taxAuthorityCode": "<string>",
"issueDate": "<string>",
"sellerName": "<string>",
"sellerTaxCode": "<string>",
"buyerName": "<string>",
"buyerTaxCode": "<string>",
"clientId": "<string>",
"clientName": "<string>",
"supplierId": "<string>",
"supplierName": "<string>",
"invoiceId": "<string>",
"billId": "<string>",
"currency": "<string>",
"exchangeRate": 123,
"subtotal": 123,
"vatRate": 123,
"vatAmount": 123,
"totalAmount": 123,
"adjustmentType": "<string>",
"replacesVatInvoiceId": "<string>",
"status": "<string>",
"notes": "<string>",
"createdAt": "<string>",
"createdById": "<string>",
"lineItems": [
{
"id": "<string>",
"vatInvoiceId": "<string>",
"lineNo": 123,
"description": "<string>",
"qty": 123,
"uom": "<string>",
"unitPrice": 123,
"lineSubtotal": 123,
"vatRate": 123,
"vatAmount": 123,
"lineTotal": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Previous
Upload Vat Invoice XmlUpload a Vietnamese VAT invoice XML file, parse it, and save it to the DB.
Next
⌘I
Update Vat Invoice
